Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -5102,8 +4951,8 @@
 !
 !--       y-direction
-          t(t_index) = ( ywall - pos_y_old )                                   &
-                     / MERGE( MAX( prt_y - pos_y_old,  1E-30_wp ),             &
-                              MIN( prt_y - pos_y_old, -1E-30_wp ),             &
-                              prt_y > pos_y_old )
+          t(t_index) = ( ywall - pos_y_old )                                                       &
+                       / MERGE( MAX( prt_y - pos_y_old,  1E-30_wp ),                               &
+                                MIN( prt_y - pos_y_old, -1E-30_wp ),                               &
+                                prt_y > pos_y_old )
           x_ind(t_index)   = i1
           y_ind(t_index)   = j2
@@ -5118,8 +4967,8 @@
 !
 !--       z-direction
-          t(t_index) = (zwall - pos_z_old )                                    &
-                     / MERGE( MAX( prt_z - pos_z_old,  1E-30_wp ),             &
-                              MIN( prt_z - pos_z_old, -1E-30_wp ),             &
-                              prt_z > pos_z_old )
+          t(t_index) = (zwall - pos_z_old )                                                        &
+                       / MERGE( MAX( prt_z - pos_z_old,  1E-30_wp ),                               &
+                                MIN( prt_z - pos_z_old, -1E-30_wp ),                               &
+                                prt_z > pos_z_old )
 
           x_ind(t_index)   = i1
@@ -5139,7 +4988,6 @@
           IF ( cross_wall_x  .OR.  cross_wall_y  .OR.  cross_wall_z )  THEN
 !
-!--          Sort fractional timesteps in ascending order. Also sort the 
-!--          corresponding indices and flag according to the time interval a  
-!--          particle reaches the respective wall.
+!--          Sort fractional timesteps in ascending order. Also sort the corresponding indices and
+!--          flag according to the time interval a particle reaches the respective wall.
              inc = 1
              jr  = 1
@@ -5187,17 +5035,13 @@
 !--          Loop over all times a particle possibly moves into a new grid box
              t_old = 0.0_wp
-             DO t_index = 1, t_index_number 
-!
-!--             Calculate intermediate particle position according to the 
-!--             timesteps a particle reaches any wall.
-                pos_x = pos_x + ( t(t_index) - t_old ) * dt_particle           &
-                                                       * particles(n)%speed_x
-                pos_y = pos_y + ( t(t_index) - t_old ) * dt_particle           &
-                                                       * particles(n)%speed_y
-                pos_z = pos_z + ( t(t_index) - t_old ) * dt_particle           &
-                                                       * particles(n)%speed_z
-!
-!--             Obtain x/y grid indices for intermediate particle position from
-!--             sorted index array
+             DO t_index = 1, t_index_number
+!
+!--             Calculate intermediate particle position according to the timesteps a particle
+!--             reaches any wall.
+                pos_x = pos_x + ( t(t_index) - t_old ) * dt_particle * particles(n)%speed_x
+                pos_y = pos_y + ( t(t_index) - t_old ) * dt_particle * particles(n)%speed_y
+                pos_z = pos_z + ( t(t_index) - t_old ) * dt_particle * particles(n)%speed_z
+!
+!--             Obtain x/y grid indices for intermediate particle position from sorted index array
                 i3 = x_ind(t_index)
                 j3 = y_ind(t_index)
@@ -5205,29 +5049,27 @@
 !
 !--             Check which wall is already reached
-                IF ( .NOT. x_wall_reached )  x_wall_reached = reach_x(t_index) 
+                IF ( .NOT. x_wall_reached )  x_wall_reached = reach_x(t_index)
                 IF ( .NOT. y_wall_reached )  y_wall_reached = reach_y(t_index)
                 IF ( .NOT. z_wall_reached )  z_wall_reached = reach_z(t_index)
 !
-!--             Check if a particle needs to be reflected at any yz-wall. If 
-!--             necessary, carry out reflection. Please note, a security 
-!--             constant is required, as the particle position does not 
-!--             necessarily exactly match the wall location due to rounding 
-!--             errors.
-                IF ( reach_x(t_index)                      .AND.               & 
-                     ABS( pos_x - xwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
+!--             Check if a particle needs to be reflected at any yz-wall. If necessary, carry out
+!--             reflection. Please note, a security constant is required, as the particle position
+!--             does not necessarily exactly match the wall location due to rounding  errors.
+                IF ( reach_x(t_index)                            .AND.                             &
+                     ABS( pos_x - xwall ) < eps                  .AND.                             &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.                             &
                      .NOT. reflect_x )  THEN
-! 
-! 
-!--                Reflection in x-direction. 
-!--                Ensure correct reflection by MIN/MAX functions, depending on
-!--                direction of particle transport. 
-!--                Due to rounding errors pos_x does not exactly match the wall
-!--                location, leading to erroneous reflection.             
-                   pos_x = MERGE( MIN( 2.0_wp * xwall - pos_x, xwall ),        &
-                                  MAX( 2.0_wp * xwall - pos_x, xwall ),        &
+!
+!
+!--                Reflection in x-direction.
+!--                Ensure correct reflection by MIN/MAX functions, depending on direction of
+!--                particle transport.
+!--                Due to rounding errors pos_x does not exactly match the wall location, leading to
+!--                erroneous reflection.
+                   pos_x = MERGE( MIN( 2.0_wp * xwall - pos_x, xwall ),                            &
+                                  MAX( 2.0_wp * xwall - pos_x, xwall ),                            &
                                   particles(n)%x > xwall )
 !
-!--                Change sign of particle speed                     
+!--                Change sign of particle speed
                    particles(n)%speed_x = - particles(n)%speed_x
 !
@@ -5238,36 +5080,34 @@
                    reflect_x          = .TRUE.
 !
-!--                As the particle does not cross any further yz-wall during 
-!--                this timestep, set further x-indices to the current one.
+!--                As the particle does not cross any further yz-wall during this timestep, set
+!--                further x-indices to the current one.
                    x_ind(t_index:t_index_number) = i1
 !
-!--             If particle already reached the wall but was not reflected, 
-!--             set further x-indices to the new one.
-                ELSEIF ( x_wall_reached .AND. .NOT. reflect_x )  THEN
+!--             If particle already reached the wall but was not reflected, set further x-indices to
+!--             the new one.
+                ELSEIF ( x_wall_reached  .AND.  .NOT. reflect_x )  THEN
                     x_ind(t_index:t_index_number) = i2
-                ENDIF !particle reflection in x direction done
-
-!
-!--             Check if a particle needs to be reflected at any xz-wall. If 
-!--             necessary, carry out reflection. Please note, a security 
-!--             constant is required, as the particle position does not 
-!--             necessarily exactly match the wall location due to rounding 
-!--             errors. 
-                IF ( reach_y(t_index)                      .AND.               & 
-                     ABS( pos_y - ywall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
+                ENDIF  !particle reflection in x direction done
+
+!
+!--             Check if a particle needs to be reflected at any xz-wall. If necessary, carry out
+!--             reflection. Please note, a security constant is required, as the particle position
+!--             does not necessarily exactly match the wall location due to rounding errors.
+                IF ( reach_y(t_index)                            .AND.                             &
+                     ABS( pos_y - ywall ) < eps                  .AND.                             &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.                             &
                      .NOT. reflect_y )  THEN
-! 
-! 
-!--                Reflection in y-direction. 
-!--                Ensure correct reflection by MIN/MAX functions, depending on
-!--                direction of particle transport. 
-!--                Due to rounding errors pos_y does not exactly match the wall
-!--                location, leading to erroneous reflection.             
-                   pos_y = MERGE( MIN( 2.0_wp * ywall - pos_y, ywall ),        &
-                                  MAX( 2.0_wp * ywall - pos_y, ywall ),        &
+!
+!
+!--                Reflection in y-direction.
+!--                Ensure correct reflection by MIN/MAX functions, depending on direction of
+!--                particle transport.
+!--                Due to rounding errors pos_y does not exactly match the wall location, leading to
+!--                erroneous reflection.
+                   pos_y = MERGE( MIN( 2.0_wp * ywall - pos_y, ywall ),                            &
+                                  MAX( 2.0_wp * ywall - pos_y, ywall ),                            &
                                   particles(n)%y > ywall )
 !
-!--                Change sign of particle speed                     
+!--                Change sign of particle speed
                    particles(n)%speed_y = - particles(n)%speed_y
 !
@@ -5278,36 +5118,34 @@
                    reflect_y          = .TRUE.
 !
-!--                As the particle does not cross any further xz-wall during 
-!--                this timestep, set further y-indices to the current one.
+!--                As the particle does not cross any further xz-wall during this timestep, set
+!--                further y-indices to the current one.
                    y_ind(t_index:t_index_number) = j1
 !
-!--             If particle already reached the wall but was not reflected, 
-!--             set further y-indices to the new one.
-                ELSEIF ( y_wall_reached .AND. .NOT. reflect_y )  THEN
+!--             If particle already reached the wall but was not reflected, set further y-indices to
+!--             the new one.
+                ELSEIF ( y_wall_reached  .AND.  .NOT. reflect_y )  THEN
                     y_ind(t_index:t_index_number) = j2
-                ENDIF !particle reflection in y direction done
-
-!
-!--             Check if a particle needs to be reflected at any xy-wall. If 
-!--             necessary, carry out reflection. Please note, a security 
-!--             constant is required, as the particle position does not 
-!--             necessarily exactly match the wall location due to rounding 
-!--             errors. 
-                IF ( reach_z(t_index)                      .AND.               & 
-                     ABS( pos_z - zwall ) < eps            .AND.               &
-                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.         &
+                ENDIF  !particle reflection in y direction done
+
+!
+!--             Check if a particle needs to be reflected at any xy-wall. If necessary, carry out
+!--             reflection. Please note, a security constant is required, as the particle position
+!--             does not necessarily exactly match the wall location due to rounding errors.
+                IF ( reach_z(t_index)                            .AND.                             &
+                     ABS( pos_z - zwall ) < eps                  .AND.                             &
+                     .NOT. BTEST(wall_flags_total_0(k3,j3,i3),0) .AND.                             &
                      .NOT. reflect_z )  THEN
-! 
-! 
-!--                Reflection in z-direction. 
-!--                Ensure correct reflection by MIN/MAX functions, depending on
-!--                direction of particle transport. 
-!--                Due to rounding errors pos_z does not exactly match the wall
-!--                location, leading to erroneous reflection.             
-                   pos_z = MERGE( MIN( 2.0_wp * zwall - pos_z, zwall ),        &
-                                  MAX( 2.0_wp * zwall - pos_z, zwall ),        &
+!
+!
+!--                Reflection in z-direction.
+!--                Ensure correct reflection by MIN/MAX functions, depending on direction of
+!--                particle transport.
+!--                Due to rounding errors pos_z does not exactly match the wall location, leading to
+!--                erroneous reflection.
+                   pos_z = MERGE( MIN( 2.0_wp * zwall - pos_z, zwall ),                            &
+                                  MAX( 2.0_wp * zwall - pos_z, zwall ),                            &
                                   particles(n)%z > zwall )
 !
-!--                Change sign of particle speed                     
+!--                Change sign of particle speed
                    particles(n)%speed_z = - particles(n)%speed_z
 !
@@ -5318,13 +5156,13 @@
                    reflect_z          = .TRUE.
 !
-!--                As the particle does not cross any further xy-wall during 
-!--                this timestep, set further z-indices to the current one.
+!--                As the particle does not cross any further xy-wall during this timestep, set
+!--                further z-indices to the current one.
                    z_ind(t_index:t_index_number) = k1
 !
-!--             If particle already reached the wall but was not reflected, 
-!--             set further z-indices to the new one.
-                ELSEIF ( z_wall_reached .AND. .NOT. reflect_z )  THEN
+!--             If particle already reached the wall but was not reflected, set further z-indices to
+!--             the new one.
+                ELSEIF ( z_wall_reached  .AND.  .NOT. reflect_z )  THEN
                     z_ind(t_index:t_index_number) = k2
-                ENDIF !particle reflection in z direction done                
+                ENDIF  !particle reflection in z direction done
 
 !
@@ -5334,14 +5172,10 @@
              ENDDO
 !
-!--          If a particle was reflected, calculate final position from last
-!--          intermediate position.
+!--          If a particle was reflected, calculate final position from last intermediate position.
              IF ( reflect_x  .OR.  reflect_y  .OR.  reflect_z )  THEN
 
-                particles(n)%x = pos_x + ( 1.0_wp - t_old ) * dt_particle      &
-                                                         * particles(n)%speed_x
-                particles(n)%y = pos_y + ( 1.0_wp - t_old ) * dt_particle      &
-                                                         * particles(n)%speed_y
-                particles(n)%z = pos_z + ( 1.0_wp - t_old ) * dt_particle      &
-                                                         * particles(n)%speed_z
+                particles(n)%x = pos_x + ( 1.0_wp - t_old ) * dt_particle * particles(n)%speed_x
+                particles(n)%y = pos_y + ( 1.0_wp - t_old ) * dt_particle * particles(n)%speed_y
+                particles(n)%z = pos_z + ( 1.0_wp - t_old ) * dt_particle * particles(n)%speed_z
 
              ENDIF
@@ -5358,23 +5192,37 @@
     END SELECT
 
- END SUBROUTINE lpm_boundary_conds 
-
-
-!------------------------------------------------------------------------------!
+ END SUBROUTINE lpm_boundary_conds
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculates change in droplet radius by condensation/evaporation, using
-!> either an analytic formula or by numerically integrating the radius growth
-!> equation including curvature and solution effects using Rosenbrocks method
-!> (see Numerical recipes in FORTRAN, 2nd edition, p. 731).
+!> Calculates change in droplet radius by condensation/evaporation, using either an analytic formula
+!> or by numerically integrating the radius growth equation including curvature and solution effects
+!> using Rosenbrocks method (see Numerical recipes in FORTRAN, 2nd edition, p. 731).
 !> The analytical formula and growth equation follow those given in
 !> Rogers and Yau (A short course in cloud physics, 3rd edition, p. 102/103).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_droplet_condensation (i,j,k)
+
+!
+!-- Parameters for Rosenbrock method (see Verwer et al., 1999)
+    REAL(wp), PARAMETER ::  prec = 1.0E-3_wp     !< precision of Rosenbrock solution
+    REAL(wp), PARAMETER ::  q_increase = 1.5_wp  !< increase factor in timestep
+    REAL(wp), PARAMETER ::  q_decrease = 0.9_wp  !< decrease factor in timestep
+    REAL(wp), PARAMETER ::  gamma = 0.292893218814_wp !< = 1.0 - 1.0 / SQRT(2.0)
+!
+!-- Parameters for terminal velocity
+    REAL(wp), PARAMETER ::  a_rog = 9.65_wp      !< parameter for fall velocity
+    REAL(wp), PARAMETER ::  b_rog = 10.43_wp     !< parameter for fall velocity
+    REAL(wp), PARAMETER ::  c_rog = 0.6_wp       !< parameter for fall velocity
+    REAL(wp), PARAMETER ::  k_cap_rog = 4.0_wp   !< parameter for fall velocity
+    REAL(wp), PARAMETER ::  k_low_rog = 12.0_wp  !< parameter for fall velocity
+    REAL(wp), PARAMETER ::  d0_rog = 0.745_wp    !< separation diameter
 
     INTEGER(iwp), INTENT(IN) ::  i              !<
     INTEGER(iwp), INTENT(IN) ::  j              !<
     INTEGER(iwp), INTENT(IN) ::  k              !<
-    INTEGER(iwp) ::  n                          !<
+    INTEGER(iwp)             ::  n              !<
 
     REAL(wp) ::  afactor                       !< curvature effects
@@ -5398,26 +5246,12 @@
     REAL(wp) ::  r_ros_ini                     !< initial Rosenbrock radius
     REAL(wp) ::  r0                            !< gas-kinetic lengthscale
+    REAL(wp) ::  re_p                          !< particle Reynolds number
     REAL(wp) ::  sigma                         !< surface tension of water
     REAL(wp) ::  thermal_conductivity          !< thermal conductivity for water
     REAL(wp) ::  t_int                         !< temperature
     REAL(wp) ::  w_s                           !< terminal velocity of droplets
-    REAL(wp) ::  re_p                          !< particle Reynolds number
-!
-!-- Parameters for Rosenbrock method (see Verwer et al., 1999)
-    REAL(wp), PARAMETER ::  prec = 1.0E-3_wp     !< precision of Rosenbrock solution
-    REAL(wp), PARAMETER ::  q_increase = 1.5_wp  !< increase factor in timestep
-    REAL(wp), PARAMETER ::  q_decrease = 0.9_wp  !< decrease factor in timestep
-    REAL(wp), PARAMETER ::  gamma = 0.292893218814_wp !< = 1.0 - 1.0 / SQRT(2.0)
-!
-!-- Parameters for terminal velocity
-    REAL(wp), PARAMETER ::  a_rog = 9.65_wp      !< parameter for fall velocity
-    REAL(wp), PARAMETER ::  b_rog = 10.43_wp     !< parameter for fall velocity
-    REAL(wp), PARAMETER ::  c_rog = 0.6_wp       !< parameter for fall velocity
-    REAL(wp), PARAMETER ::  k_cap_rog = 4.0_wp   !< parameter for fall velocity
-    REAL(wp), PARAMETER ::  k_low_rog = 12.0_wp  !< parameter for fall velocity
-    REAL(wp), PARAMETER ::  d0_rog = 0.745_wp    !< separation diameter
-
+
+    REAL(wp), DIMENSION(number_of_particles) ::  new_r                  !<
     REAL(wp), DIMENSION(number_of_particles) ::  ventilation_effect     !<
-    REAL(wp), DIMENSION(number_of_particles) ::  new_r                  !<
 
     CALL cpu_log( log_point_s(42), 'lpm_droplet_condens', 'start' )
@@ -5437,6 +5271,5 @@
 !
 !-- Moldecular diffusivity of water vapor in air (Hall und Pruppacher, 1976)
-    diff_coeff           = 0.211E-4_wp * ( t_int / 273.15_wp )**1.94_wp * &
-                           ( 101325.0_wp / hyp(k) )
+    diff_coeff           = 0.211E-4_wp * ( t_int / 273.15_wp )**1.94_wp * ( 101325.0_wp / hyp(k) )
 !
 !-- Lengthscale for gas-kinetic effects (from Mordy, 1959, p. 23):
@@ -5445,7 +5278,7 @@
 !-- Calculate effects of heat conductivity and diffusion of water vapor on the
 !-- diffusional growth process (usually known as 1.0 / (F_k + F_d) )
-    ddenom  = 1.0_wp / ( rho_l * r_v * t_int / ( e_s * diff_coeff ) +          &
-                         ( l_v / ( r_v * t_int ) - 1.0_wp ) * rho_l *          &
-                         l_v / ( thermal_conductivity * t_int )                &
+    ddenom  = 1.0_wp / ( rho_l * r_v * t_int / ( e_s * diff_coeff ) +                              &
+                         ( l_v / ( r_v * t_int ) - 1.0_wp ) * rho_l *                              &
+                         l_v / ( thermal_conductivity * t_int )                                    &
                        )
     new_r = 0.0_wp
@@ -5458,5 +5291,5 @@
 !--       Terminal velocity is computed for vertical direction (Rogers et al.,
 !--       1993, J. Appl. Meteorol.)
-          diameter = particles(n)%radius * 2000.0_wp !diameter in mm
+          diameter = particles(n)%radius * 2000.0_wp  !diameter in mm
           IF ( diameter <= d0_rog )  THEN
              w_s = k_cap_rog * diameter * ( 1.0_wp - EXP( -k_low_rog * diameter ) )
@@ -5476,6 +5309,6 @@
        ELSE
 !
-!--       For small droplets or in supersaturated environments, the ventilation
-!--       effect does not play a role
+!--       For small droplets or in supersaturated environments, the ventilation effect does not play
+!--       a role.
           ventilation_effect(n) = 1.0_wp
        ENDIF
@@ -5484,9 +5317,9 @@
     IF( .NOT. curvature_solution_effects )  THEN
 !
-!--    Use analytic model for diffusional growth including gas-kinetic
-!--    effects (Mordy, 1959) but without the impact of aerosols.
+!--    Use analytic model for diffusional growth including gas-kinetic effects (Mordy, 1959) but
+!--    without the impact of aerosols.
        DO  n = 1, number_of_particles
-          arg      = ( particles(n)%radius + r0 )**2 + 2.0_wp * dt_3d * ddenom * &
-                                                       ventilation_effect(n) *   &
+          arg      = ( particles(n)%radius + r0 )**2 + 2.0_wp * dt_3d * ddenom *                   &
+                                                       ventilation_effect(n)   *                   &
                                                        ( e_a / e_s - 1.0_wp )
           arg      = MAX( arg, ( 0.01E-6 + r0 )**2 )
@@ -5508,5 +5341,5 @@
 !
 !--       Solute effect (bfactor)
-          bfactor = vanthoff * rho_s * particles(n)%aux1**3 *                    &
+          bfactor = vanthoff * rho_s * particles(n)%aux1**3 *                                      &
                     molecular_weight_of_water / ( rho_l * molecular_weight_of_solute )
 
@@ -5518,6 +5351,6 @@
 !
 !--       Integrate growth equation using a 2nd-order Rosenbrock method
-!--       (see Verwer et al., 1999, Eq. (3.2)). The Rosenbrock method adjusts
-!--       its with internal timestep to minimize the local truncation error.
+!--       (see Verwer et al., 1999, Eq. (3.2)). The Rosenbrock method adjusts its with internal
+!--       timestep to minimize the local truncation error.
           DO WHILE ( dt_ros_sum < dt_3d )
 
@@ -5526,16 +5359,16 @@
              DO
 
-                drdt = ddenom * ventilation_effect(n) * ( e_a / e_s - 1.0_wp - &
-                                                          afactor / r_ros +    &
-                                                          bfactor / r_ros**3   &
+                drdt = ddenom * ventilation_effect(n) * ( e_a / e_s - 1.0_wp -                     &
+                                                          afactor / r_ros +                        &
+                                                          bfactor / r_ros**3                       &
                                                         ) / ( r_ros + r0 )
 
-                d2rdtdr = -ddenom * ventilation_effect(n) * (                  &
-                                            (e_a / e_s - 1.0_wp ) * r_ros**4 - &
-                                            afactor * r0 * r_ros**2 -          &
-                                            2.0_wp * afactor * r_ros**3 +      &
-                                            3.0_wp * bfactor * r0 +            &
-                                            4.0_wp * bfactor * r_ros           &
-                                                            )                  &
+                d2rdtdr = -ddenom * ventilation_effect(n) *  (                                     &
+                                            ( e_a / e_s - 1.0_wp ) * r_ros**4 -                    &
+                                            afactor * r0 * r_ros**2 -                              &
+                                            2.0_wp * afactor * r_ros**3 +                          &
+                                            3.0_wp * bfactor * r0 +                                &
+                                            4.0_wp * bfactor * r_ros                               &
+                                                             )                                     &
                           / ( r_ros**4 * ( r_ros + r0 )**2 )
 
@@ -5545,15 +5378,15 @@
                 r_err = r_ros
 
-                drdt  = ddenom * ventilation_effect(n) * ( e_a / e_s - 1.0_wp - &
-                                                           afactor / r_ros +    &
-                                                           bfactor / r_ros**3   &
+                drdt  = ddenom * ventilation_effect(n) * ( e_a / e_s - 1.0_wp -                    &
+                                                           afactor / r_ros +                       &
+                                                           bfactor / r_ros**3                      &
                                                          ) / ( r_ros + r0 )
 
-                k2 = ( drdt - dt_ros * 2.0 * gamma * d2rdtdr * k1 ) / &
+                k2 = ( drdt - dt_ros * 2.0 * gamma * d2rdtdr * k1 ) /                              &
                      ( 1.0_wp - dt_ros * gamma * d2rdtdr )
 
                 r_ros = MAX(r_ros_ini + dt_ros * ( 1.5_wp * k1 + 0.5_wp * k2), particles(n)%aux1)
-   !
-   !--          Check error of the solution, and reduce dt_ros if necessary.
+!
+!--             Check error of the solution, and reduce dt_ros if necessary.
                 error = ABS(r_err - r_ros) / r_ros
                 IF ( error > prec )  THEN
@@ -5569,5 +5402,5 @@
              END DO
 
-          END DO !Rosenbrock loop
+          END DO  !Rosenbrock loop
 !
 !--       Store new particle radius
@@ -5583,41 +5416,39 @@
     DO  n = 1, number_of_particles
 !
-!--    Sum up the change in liquid water for the respective grid
-!--    box for the computation of the release/depletion of water vapor
-!--    and heat.
-       ql_c(k,j,i) = ql_c(k,j,i) + particles(n)%weight_factor *          &
-                                   rho_l * 1.33333333_wp * pi *                &
-                                   ( new_r(n)**3 - particles(n)%radius**3 ) /  &
+!--    Sum up the change in liquid water for the respective grid box for the computation of the
+!--    release/depletion of water vapor and heat.
+       ql_c(k,j,i) = ql_c(k,j,i) + particles(n)%weight_factor *                                    &
+                                   rho_l * 1.33333333_wp * pi *                                    &
+                                   ( new_r(n)**3 - particles(n)%radius**3 ) /                      &
                                    ( rho_surface * dx * dy * dzw(k) )
 !
-!--    Check if the increase in liqid water is not too big. If this is the case,
-!--    the model timestep might be too long.
+!--    Check if the increase in liqid water is not too big. If this is the case, the model timestep
+!--    might be too long.
        IF ( ql_c(k,j,i) > 100.0_wp )  THEN
-          WRITE( message_string, * ) 'k=',k,' j=',j,' i=',i,                &
-                       ' ql_c=',ql_c(k,j,i), '&part(',n,')%wf=',            &
-                       particles(n)%weight_factor,' delta_r=',delta_r
+          WRITE( message_string, * ) 'k=',k,' j=',j,' i=',i,                                       &
+                                     ' ql_c=',ql_c(k,j,i), '&part(',n,')%wf=',                     &
+                                     particles(n)%weight_factor,' delta_r=',delta_r
           CALL message( 'lpm_droplet_condensation', 'PA0143', 2, 2, -1, 6, 1 )
        ENDIF
 !
-!--    Check if the change in the droplet radius is not too big. If this is the
-!--    case, the model timestep might be too long.
+!--    Check if the change in the droplet radius is not too big. If this is the case, the model
+!--    timestep might be too long.
        delta_r = new_r(n) - particles(n)%radius
        IF ( delta_r < 0.0_wp  .AND.  new_r(n) < 0.0_wp )  THEN
-          WRITE( message_string, * ) '#1 k=',k,' j=',j,' i=',i,                &
-                       ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int,               &
-                       '&delta_r=',delta_r,                                    &
-                       ' particle_radius=',particles(n)%radius
+          WRITE( message_string, * ) '#1 k=',k,' j=',j,' i=',i,                                    &
+                                     ' e_s=',e_s, ' e_a=',e_a,' t_int=',t_int,                     &
+                                     '&delta_r=',delta_r,                                          &
+                                     ' particle_radius=',particles(n)%radius
           CALL message( 'lpm_droplet_condensation', 'PA0144', 2, 2, -1, 6, 1 )
        ENDIF
 !
-!--    Sum up the total volume of liquid water (needed below for
-!--    re-calculating the weighting factors)
+!--    Sum up the total volume of liquid water (needed below for re-calculating the weighting
+!--    factors)
        ql_v(k,j,i) = ql_v(k,j,i) + particles(n)%weight_factor * new_r(n)**3
 !
 !--    Determine radius class of the particle needed for collision
        IF ( use_kernel_tables )  THEN
-          particles(n)%class = ( LOG( new_r(n) ) - rclass_lbound ) /           &
-                               ( rclass_ubound - rclass_lbound ) *             &
-                               radius_classes
+          particles(n)%class = ( LOG( new_r(n) ) - rclass_lbound ) /                               &
+                               ( rclass_ubound - rclass_lbound ) * radius_classes
           particles(n)%class = MIN( particles(n)%class, radius_classes )
           particles(n)%class = MAX( particles(n)%class, 1 )
